<div id="pratica-summary">

  {{ include('Pratiche/summary/parts/allegati_operatore.html.twig', {'pratica':pratica, 'user': user}) }}

  {% if pratica.statusName == 'STATUS_PAYMENT_PENDING' and pratica.paymentData.response is defined %}

    <div class="row">
      <div class="col-sm-4"><strong>{{ 'pratica.numero'|trans }}</strong></div>
      <div class="col-sm-8 d-inline-flex">
        <code>{{ pratica.id }}</code>
      </div>
    </div>

    <p class='mt-3'>{{ 'gateway.mypay.redirect_text'|trans({'%gateway_name%': 'MyPay'})|raw }}</p>
    {% if pratica.paymentType == 'mypay' %}
      <div class='text-center mt-5'>
        <a href="{{ pratica.paymentData.response.url }}" class='btn btn-lg btn-primary'>{{ 'gateway.mypay.redirect_button'|trans }}</a>
      </div>
      <p class='mt-3'>{{ 'gateway.mypay.download_text'|trans|raw }}</p>
      <div class='text-center mt-5 mb-5'>
        <a href="{{ pratica.paymentData.response.urlFileAvviso|htmlspecialchars_decode }}" class='btn btn-lg btn-secondary'>{{ 'gateway.mypay.download_button'|trans }}</a>
      </div>
    {% else %}
      <div class='text-center mt-5'>
        <a href="{{ pratica.paymentData.response.online_url }}" class='btn btn-lg btn-primary'>{{ 'gateway.mypay.redirect_button'|trans }}</a>
      </div>
      {% if pratica.paymentData.response.file_url is defined %}
        <p class='mt-3'>{{ 'gateway.mypay.download_text'|trans|raw }}</p>
        <div class='text-center mt-5 mb-5'>
          <a href="{{ pratica.paymentData.response.file_url }}" class='btn btn-lg btn-secondary'>{{ 'gateway.mypay.download_button'|trans }}</a>
        </div>
      {% endif %}
    {% endif %}

  {% elseif pratica.statusName == 'STATUS_PAYMENT_OUTCOME_PENDING' %}
    <div class="alert alert-info mb-5"><i class="fa fa-refresh fa-spin fa-fw"></i> Siamo in attesa dell'esito del
      pagamento
    </div>
  {% elseif pratica.status >= 1500 %}
    {{ include('Pratiche/summary/parts/protocollo.html.twig', {'pratica':pratica, 'user': user}) }}
  {% endif %}

  {% if (not pratica.servizio.isProtocolRequired and pratica.moduliCompilati|length == 0) or ( pratica.servizio.isProtocolRequired and not pratica.numeroProtocollo) %}
    {% if pratica.status < 1900 and pratica.status != 1500 and pratica.status != 1510 %}

      <div id="formio" class="formio-front formio-summary"
           data-locale="{{ app.request.locale }}"
           data-formserver_url="{{ formserver_public_url }}"
           data-form_id="{{ pratica.servizio.getFormIoId }}"
           data-submission="{% if pratica.dematerializedForms.data is defined %}{{ pratica.dematerializedForms.data | json_encode }}{% else %}[]{% endif %}"
           data-form_type="{% if currentStep.formType is defined %}{{ currentStep.formType }}{% else %}{}{% endif %}"
           data-has_payment="{{ pratica.servizio.paymentRequired == 1 ? true : false}}"
      >
      </div>

    {% endif %}
  {% endif %}

  {{ include('Pratiche/summary/parts/payment_gateway.html.twig', {'pratica':pratica, 'user': user}) }}
</div>


